## spamassassin 3.4.2.1+dde

=== debian/changelog ===
spamassassin (3.4.2.1+dde-1) unstable; urgency=medium

  * update

 -- Noah Meyerhans <noahm@debian.org>  Tue, 26 Oct 2021 13:23:54 +0800

spamassassin (3.4.2.1-1+dde) buster-security; urgency=high

  * Import upstream fix for CVE-2020-1946: arbitrary code execution via
    malicious rule files.

 -- jixianglong <jixianglong@uniontech.com>  Mon, 25 Oct 2021 09:59:23 +0800

spamassassin (3.4.2-1+deb10u2) buster-security; urgency=medium

  * Security update to address
    - CVE-2020-1930. Arbitrary code execution via malicious rule files.
    - CVE-2020-1931. Arbitrary code execution via malicious rule files.
    (Closes: #950258)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 30 Jan 2020 08:50:54 -0800

spamassassin (3.4.2-1+deb10u1) buster-security; urgency=high

  * Security update to address CVE-2018-11805. Malicious rule or configuration
    files, possibly downloaded from an updates server, could execute arbitrary
    commands under multiple scenarios. (Closes: 946652)
  * Security update to address CVE-2019-12420.  Messages can be crafted in a
    way to use excessive resources, resulting in a denial of service.
    (Closes: 946653)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 12 Dec 2019 20:26:44 -0800

spamassassin (3.4.2-1) unstable; urgency=medium

  * New upstream release fixes multiple security vulnerabilities
    - CVE-2017-15705: Denial of service issue in which certain unclosed
      tags in emails cause markup to be handled incorrectly leading to
      scan timeouts. (Closes: 908969)
    - CVE-2016-1238: Unsafe usage of "." in @INC in a configuration
      script.
    - CVE-2018-11780: potential Remote Code Execution bug with the
      PDFInfo plugin. (Closes: 908970)
    - CVE-2018-11781: local user code injection in the meta rule syntax.
      (Closes: 908971)
    - BayesStore: bayes_expire table grows, remove_running_expire_tok not
      called (Closes: 883775)
    - Fix use of uninitialized variable warning in PDFInfo.pm
      (Closes: 865924)
    - Fix "failed to parse plugin" error in
      Mail::SpamAssassin::Plugin::URILocalBL (Closes: 891041)
  * Don't recursively chown /var/lib/spamassassin during postinst.
    (Closes: 889501)
  * Reload spamd after compiling rules in sa-compile.postinst.
  * Preserve locally set ENABLED=1 setting from /etc/default/spamassassin
    when installing on systemd-based systems. (Closes: 884163, 858457)
  * Update SysV init script to cope with upstream's change to $0.
  * Remove compiled rules upon removal of the sa-compile package.
  * Ensure that /var/lib/spamassassin/compiled doesn't change modes with
    the cron job's execution. (Closes: 890650)
  * Update standards version to 4.2.1
  * Create /var/lib/spamassassin via dpkg, rather than the postinst.
    (Closes: 891833)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 30 Sep 2018 23:44:58 -0700

spamassassin (3.4.1-8) unstable; urgency=medium

  * Fix inappropriate invocation of invoke-rc.d in cron script.
    (Closes: 865514)
  * Update systemd unit dependencies to include network and syslog.
    (Closes: 864810)
  * Migrate packaging to git, finally.
  * Apply upstream patch to fix regex error leading to warnings in perl
    5.26+ (Closes: 869408)
  * Add Multi-Arch: foreign headers to package definitions (Closes:
    #850454)
  * Update standards version to 4.1.0.0
  * Remove references to the obsolete syslog.target dependency in the
    systemd service file.
  * Clarify the use of the perl-major-upgrade dpkg trigger.
  * Fix spamd service manage on upgrades. (Closes: #865356)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 09 Sep 2017 22:37:20 -0700

spamassassin (3.4.1-7) unstable; urgency=medium

  * Ensure that spamd doesn't automatically start upon initial
    installation.
  * Disable bb.barracudacentral.org (RCVD_IN_BRBL_LASTEXT), as
    it requires users to register. (Closes: #861671)
  * Update the systemd unit file to use the same pid file as was
    used in the sysvinit script. (Closes: #808804)
  * Update spamassassin docs to remove outdated gpg version
    compatibility note. (Closes: #853913)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 11 May 2017 19:45:36 -0700
