## spamassassin 3.4.3

=== debian/changelog ===
spamassassin (3.4.3-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Noah Meyerhans <noahm@debian.org>  Sat, 14 Dec 2019 09:19:45 -0800

spamassassin (3.4.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Noah Meyerhans ]
  * New upstream release.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 12 Dec 2019 10:40:56 -0800

spamassassin (3.4.3~rc7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 26 Nov 2019 07:06:59 -0800

spamassassin (3.4.3~rc7-1) unstable; urgency=medium

  * Don't install sandbox rules or .pre files in /usr/share/spamassassin.
  * New upstream release candidate.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 25 Nov 2019 10:53:07 -0800

spamassassin (3.4.3~rc6+1-1) unstable; urgency=medium

  * Repack the upstream rc6 snapshot, including missing components that are not
    included in upstream's subversion tag.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 15 Nov 2019 07:02:22 -0800

spamassassin (3.4.3~rc6-1) unstable; urgency=medium

  * New upstream release. (Closes: 878569)
  * Incorporate upstream security fixes:
    - CVE-2018-11805: Malicious rules files, possibly retrieved
      automatically via sa-update, can run arbitrary commands.
    - CVE-2019-12420: A message can be crafted in a way to use excessive
      resources, resulting in a denial of service.
  * Clarify location of "site-specific" configuration in spamassassin man page.
    (Closes: 426031)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 12 Nov 2019 10:47:49 -0800

spamassassin (3.4.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Remove XS-Testsuite field, not needed anymore

  [ Noah Meyerhans ]
  * Add libbsd-resource-perl to Suggests (Closes: 910434)
  * Update debhelper build-dep to 11.1 to support the
    dh_installinit --no-enable feature.
  * Fix severity of some spamd logs. (Closes: 913571)
  * Import upstream fix for "Not a HASH reference at
    /usr/share/perl5/Mail/SpamAssassin/Plugin/FromNameSpoof.pm"
    (Closes: 910435)
  * Remove /var/lib/spamassassin/compiled during sa-compile upgrades.
  * Move spamd pid file to from /var/run to /run
  * Apply upstream fix for Mail::SpamAssassin::Plugin::ASN reports wrong
    ASN for IPv6 (Closes: 918130)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 18 Oct 2019 11:22:48 -0700
