=== debian/control ===
Source: spamassassin
Section: mail
Priority: optional
Maintainer: Noah Meyerhans <noahm@debian.org>
Build-Depends: perl, libssl-dev, libhtml-parser-perl,
 libnet-dns-perl, libnetaddr-ip-perl, debhelper-compat (= 12),
 libberkeleydb-perl, netbase, libdbi-perl, libio-socket-inet6-perl
Standards-Version: 4.2.1.0
Homepage: https://www.spamassassin.org/
Vcs-Git: https://salsa.debian.org/debian/spamassassin.git
Vcs-Browser: https://salsa.debian.org/debian/spamassassin

Package: spamassassin
Architecture: all
Multi-Arch: foreign
Depends: perl, libhtml-parser-perl, libsocket6-perl, adduser,
 libsys-hostname-long-perl, libarchive-tar-perl, libnet-dns-perl,
 libnetaddr-ip-perl, libhttp-date-perl, libmail-dkim-perl,
 lsb-base (>= 3.0-6), libwww-perl | curl | w3m,
 init-system-helpers (>= 1.51), ${misc:Depends}
Recommends: spamc, sa-compile, libmail-spf-perl,
 libsys-syslog-perl, gnupg, libio-socket-inet6-perl
Suggests: razor, libio-socket-ssl-perl, libdbi-perl, pyzor,
 libcompress-zlib-perl, libencode-detect-perl,
 libgeoip2-perl, libnet-patricia-perl, libbsd-resource-perl
Provides: libmail-spamassassin-perl
Description: Perl-based spam filter using text analysis
 SpamAssassin is a very powerful and fully configurable spam filter
 with numerous features including automatic white-listing, RBL
 testing, Bayesian analysis, header and body text analysis. It is
 designed to be called from a user's .procmail or .forward file, but
 can also be integrated into a Mail Transport Agent (MTA).
 .
 Included in this package is a daemonized form of spamassassin (spamd)
 which communicates with its client (spamc) via TCP, to reduce the
 overhead of loading perl with each message. To take advantage of
 this, you must install the spamc package.

Package: spamc
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: spamassassin
Description: Client for SpamAssassin spam filtering daemon
 spamc is the client to communicate with spamd, the daemonized form of
 SpamAssassin (see the spamassassin package). It is written in C for
 maximum speed and minimum loading overhead.
 .
 spamc is quite useful for integrating spamassassin into an MTA or
 into a .procmailrc file because of its speed.
 .
 This package is useless unless you have spamassassin installed,
 either on this machine or another local machine (i.e. a mail server).

Package: sa-compile
Architecture: all
Multi-Arch: foreign
Enhances: spamassassin
Depends: spamassassin, re2c, gcc, libc6-dev, make, ${misc:Depends}
Description: Tools for compiling SpamAssassin rules into C
 sa-compile uses "re2c" to compile the site-wide parts of the
 SpamAssassin ruleset into C code for more efficient processing by
 spamd or spamassassin.
