## spamassassin 3.4.4

=== debian/changelog ===
spamassassin (3.4.4-1ubuntu1) focal; urgency=medium

  * Update autopkgtest cases to python3
    - d/t/get_spam_points.py: Fix py2-isms to work with either version.
    - d/t/c: Require python3 instead of python

 -- Bryce Harrington <bryce@canonical.com>  Thu, 06 Feb 2020 01:13:48 +0000

spamassassin (3.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 30 Jan 2020 11:47:40 -0800

spamassassin (3.4.4~rc1-1) unstable; urgency=medium

  * When creating the debian-spamd user, set its shell to /usr/sbin/nologin
    (Closes: 920394, 918506)
  * New upstream release candidate fixes security issues:
    - CVE-2020-1930: Arbitrary code execution via malicious rules files
    - CVE-2020-1931: Arbitrary code execution via malicious rules files

 -- Noah Meyerhans <noahm@debian.org>  Mon, 20 Jan 2020 17:31:41 -0800
