=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: spamassassin
 Section: mail
 Priority: optional
-Maintainer: Noah Meyerhans <noahm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
 Build-Depends: perl, libssl-dev, libhtml-parser-perl,
  libnet-dns-perl, libnetaddr-ip-perl, debhelper-compat (= 12),
- libberkeleydb-perl, netbase, libdbi-perl, libio-socket-inet6-perl
+ libberkeleydb-perl, netbase, libdbi-perl, libio-socket-inet6-perl,
+ libdbd-mysql-perl
 Standards-Version: 4.2.1.0
 Homepage: https://www.spamassassin.org/
 Vcs-Git: https://salsa.debian.org/debian/spamassassin.git
