## spamassassin 3.4.5~pre1

=== debian/changelog ===
spamassassin (3.4.5~pre1-4) unstable; urgency=medium

  [ Roel van Meer ]
  * postinst: Fix perms only if dir exists (Closes: #977957)

  [ Noah Meyerhans ]
  * Import upstream bug fix patches from the 3.4 release branch

 -- Noah Meyerhans <noahm@debian.org>  Thu, 15 Apr 2021 11:30:25 -0700

spamassassin (3.4.5~pre1-3) unstable; urgency=medium

  * Remove all python related dependencies from our autopkgtest suite to
    actually unblock the python2 removal.
    (Closes: #967039)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 03 Aug 2020 22:29:50 -0700

spamassassin (3.4.5~pre1-2) unstable; urgency=medium

  * Update python dependencies to support the python2 removal effort
    (Closes: #967039)
  * Import a number of bug fixes from upstream's 3.4 branch that haven't yet
    made it into a pre-release snapshot

 -- Noah Meyerhans <noahm@debian.org>  Mon, 03 Aug 2020 15:44:52 -0700

spamassassin (3.4.5~pre1-1) unstable; urgency=medium

  * New upstream pre-release snapshot
  * Drop debian/patches/update-spamd-ssl-tests, which has been obviated by
    upstream changes
  * Fix warnings caused by numeric comparisons with non-numeric module version
  * Update Homepage in debian/control (Closes: #964060)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 17 Jul 2020 09:25:33 -0700
