=== debian/changelog ===
spamassassin (3.4.6-1ubuntu0.22.04.1) jammy; urgency=medium

  * d/p/fix-mkpath-untainted.patch: fix spamd running with virtual-config-dir
    mkdir error (LP: #1799185)

 -- Mitchell Dzurick <mitchell.dzurick@ubuntu.com>  Thu, 23 Mar 2023 13:06:03 -0700

spamassassin (3.4.6-1build3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:52:05 +0100

spamassassin (3.4.6-1build2) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 14:02:08 +0000

spamassassin (3.4.6-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:24:41 +0200

spamassassin (3.4.6-1) unstable; urgency=medium

  [ Noah Meyerhans ]
  * New upstream release
  * Import fix for upstream bug 7848

  [ Guillem Jover ]
  * Finish partial removal of ENABLED handling (Closes: #947086)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 29 May 2021 21:26:45 -0700
