=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libberkeleydb-perl, netbase, libdbi-perl, libio-socket-inet6-perl,
  libdbd-mysql-perl
 Standards-Version: 4.2.1.0
-Homepage: https://www.spamassassin.org/
+Homepage: https://spamassassin.apache.org/
 Vcs-Git: https://salsa.debian.org/debian/spamassassin.git
 Vcs-Browser: https://salsa.debian.org/debian/spamassassin
