=== debian/rules ===
--- 
+++ 
@@ -71,7 +71,8 @@
 
 	[ ! -f Makefile ] || $(MAKE) veryclean
 
-	rm -f spamd/spamc.1p sa-awl.1p sa-check_spamd.1p
+	rm -f spamd/spamc.1p sa-awl.1p sa-check_spamd.1p \
+		rules/70_sandbox.cf rules/72_active.cf
 	rm -Rf t/log/*
 	rm -f debian/semantic.cache
