=== debian/tests/control ===
Tests: spamassassin.nospam spamassassin.spam daemon
Depends: spamassassin, procps
Restrictions: needs-root
