## spamassassin 4.0.0~rc3

=== debian/changelog ===
spamassassin (4.0.0~rc3-3) unstable; urgency=medium

  * Enable hardening flags in systemd units
  * Update spamd init script to load /etc/default/spamd (Closes: #1020859)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 02 Oct 2022 10:39:27 -0700

spamassassin (4.0.0~rc3-2) unstable; urgency=medium

  * Fix test execution in IPv6-only environments

 -- Noah Meyerhans <noahm@debian.org>  Sat, 24 Sep 2022 20:41:03 -0700

spamassassin (4.0.0~rc3-1) unstable; urgency=medium

  * New upstream release candidate

 -- Noah Meyerhans <noahm@debian.org>  Thu, 22 Sep 2022 10:55:12 -0700

spamassassin (4.0.0~rc2-2) unstable; urgency=medium

  * Fix autopkgtest failure

 -- Noah Meyerhans <noahm@debian.org>  Sun, 11 Sep 2022 17:56:13 -0700

spamassassin (4.0.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate.
  * Preserve CRON=1 setting from /etc/default/spamassassin when migrating
    to systemd timers

 -- Noah Meyerhans <noahm@debian.org>  Sun, 11 Sep 2022 09:48:52 -0700

spamassassin (4.0.0~rc1+take2-2) experimental; urgency=medium

  [ Andreas Metzler ]
  * [lintian] Drop trailing whitespace in  debian/rules
  * Use dh sequencer
  * Use Rules-Requires-Root: no
  * Implement Debian CPPFLAGS
  * Set DEB_BUILD_MAINT_OPTIONS := hardening=+all
  * Drop superfluous code from rules
  * Use debhelper v13 compat mode
  * Declare compatibility with Standards-Version: 4.6.0
  * Also respect CPPFLAGS and LDFLAGS during testsuite run
  * Point dh_autoreconf at directory containing autoconf code.

 -- Noah Meyerhans <noahm@debian.org>  Sat, 10 Sep 2022 09:56:25 -0700

spamassassin (4.0.0~rc1+take2-1) experimental; urgency=medium

  * New upstream snapshot. Upstream re-pointed the 4.0.0-rc1 tag at svn
    revision 1903702 after previously having tagged an RC1 prematurely.
  * Add libtext-diff-perl to build-depends to support tests

 -- Noah Meyerhans <noahm@debian.org>  Fri, 26 Aug 2022 22:51:29 -0700

spamassassin (4.0.0~rc1+pre1-1) experimental; urgency=medium

  * Upstream pre-release snapshot. This is formally 4.0.0-pre1 upstream,
    but due to their prematurely released rc1, we've had to concoct a
    custom upstream version string.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 05 May 2022 08:57:02 -0700

spamassassin (4.0.0~rc1-1) experimental; urgency=medium

  * Upstream release candidate

 -- Noah Meyerhans <noahm@debian.org>  Sat, 30 Apr 2022 09:07:59 -0700

spamassassin (4.0.0~0.0svn1900273-1) experimental; urgency=medium

  * New upstream snapshot (Closes: #1009979)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 22 Apr 2022 14:46:11 -0700

spamassassin (4.0.0~0.0svn1899920-1) experimental; urgency=medium

  * New upstream snapshot
  * Add libio-string-perl to (Build-)Depends (Closes: #1006890)
  * Support passing https_proxy to sa-update if set (Closes: #1004489)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 17 Apr 2022 07:48:21 -0700

spamassassin (4.0.0~0.0svn1896439-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Tue, 28 Dec 2021 11:46:22 -0800

spamassassin (4.0.0~0.0svn1894153-1) experimental; urgency=medium

  * update README.source
  * d/control: remove duplicate entreies
  * d/watch: update version, don't run uupdate
  * Fix utf-8 encoding of lib/Mail/SpamAssassin/Util.pm
  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Wed, 13 Oct 2021 14:28:01 -0700

spamassassin (4.0.0~0.0svn1892135-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Mon, 09 Aug 2021 10:40:38 -0700

spamassassin (4.0.0~0.0svn1890446-2) experimental; urgency=medium

  * Try harder to avoid pathname limits when running tests in buildd/CI
    environments

 -- Noah Meyerhans <noahm@debian.org>  Fri, 04 Jun 2021 08:33:43 -0700

spamassassin (4.0.0~0.0svn1890446-1) experimental; urgency=medium

  * New upstream snapshot
  * Work around test failures due to excessively long socket path names
    when running under GitLab CI environments.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 03 Jun 2021 17:16:24 -0700

spamassassin (4.0.0~0.0svn1886510-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Tue, 16 Feb 2021 09:40:40 -0800

spamassassin (4.0.0~0.0svn1885032-2) experimental; urgency=medium

  * Don't try to stop spamassassin in preinst

 -- Noah Meyerhans <noahm@debian.org>  Sun, 03 Jan 2021 11:48:13 -0800

spamassassin (4.0.0~0.0svn1885032-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Sat, 02 Jan 2021 08:56:21 -0800

spamassassin (4.0.0~0.0svn1883449-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Thu, 03 Dec 2020 10:24:01 -0800

spamassassin (4.0.0~0.0svn1883440-2) experimental; urgency=medium

  * Split spamd into a separate package, Recommended by spamassassin.
  * replace start-stop-daemon with runuser in postinst scripts
  * sa-compile: update lintian overrides
  * d/rules: Remove generated rules during clean
  * spamassassin: move cleanup steps to postrm

 -- Noah Meyerhans <noahm@debian.org>  Mon, 30 Nov 2020 11:23:29 -0800

spamassassin (4.0.0~0.0svn1883440-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Sun, 15 Nov 2020 06:04:03 -0800

spamassassin (4.0.0~0.0svn1879217-2) experimental; urgency=medium

  * Update python dependencies to support the python2 removal effort
    (Closes: #967039)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 03 Aug 2020 15:58:43 -0700

spamassassin (4.0.0~0.0svn1879217-1) experimental; urgency=medium

  * Introduce a systemd timer in place of the daily cron job.  The cron
    job will still be used if systemd is not in use.
  * New upstream snapshot
  * Configure systemd service as a "simple" service, not a "forking" service.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 16 Apr 2020 14:41:49 -0700
