## spamassassin 4.0.0~rc4

=== debian/changelog ===
spamassassin (4.0.0~rc4-1) unstable; urgency=medium

  * New upstream pre-release snapshot
    - Drop patch fix__tests_with_ipv6-only, integrated upstream.
  * Suppress lintian national-encoding warnings from encoding-specific files
  * Fix a pod error upstream

 -- Noah Meyerhans <noahm@debian.org>  Wed, 07 Dec 2022 21:22:57 -0800
