## spamassassin 4.0.0

=== debian/changelog ===
spamassassin (4.0.0-8ubuntu5) noble; urgency=medium

  * d/control: Revert demotion on version 4.0.0-7ubuntu1 for
    libmail-dmarc-perl as result of being ACKed for promotion to
    main (see LP #2023971).
    (LP: #2061379)

 -- Miriam España Acebal <miriam.espana@canonical.com>  Fri, 12 Apr 2024 14:53:49 +0200

spamassassin (4.0.0-8ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:03:55 +1100

spamassassin (4.0.0-8ubuntu3) noble; urgency=medium

  * debian/patches/t-adapt-to-new-dns-module-behavior.patch: Adapt to
    new Net::DNS::Nameserver behavior.

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 20 Mar 2024 22:19:39 -0600

spamassassin (4.0.0-8ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:24:23 +0000

spamassassin (4.0.0-8ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040424). Remaining changes:
    - d/control: Demote libmail-dmarc-perl from Recommends to Suggests to
      resolve a component mismatch while a MIR is in process. (see LP #2023971)

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Tue, 02 Jan 2024 11:40:00 -0700

spamassassin (4.0.0-8) unstable; urgency=medium

  * Drop reference to obsolete syslog.target in spamd.service
  * Import upstream patch for bug 1056001 (Closes: #1056001)
  * autopkgtest: give spamd time to set its cmd name

 -- Noah Meyerhans <noahm@debian.org>  Sun, 19 Nov 2023 12:08:09 -0800

spamassassin (4.0.0-7ubuntu1) mantic; urgency=medium

  * d/control: Demote libmail-dmarc-perl from Recommends to Suggests
    to resolve a component mismatch while a MIR is in process.
    (see LP #2023971)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 22 Aug 2023 10:08:58 -0700

spamassassin (4.0.0-7) unstable; urgency=medium

  * Import upstream fix for DnsResolver.pm method deprecation warnings
    (Closes: #1041759)
  * spamassassin-maintenance: reload spamd only if it's running
    (Closes: #1028030)
  * sa-update: Import upstream fix to usage of deprecated function
    (Closes: #1039960)
  * Drop dependency on obsolete package lsb-base

 -- Noah Meyerhans <noahm@debian.org>  Tue, 25 Jul 2023 09:23:47 -0700

spamassassin (4.0.0-6) unstable; urgency=medium

  * No change. This adds a new version to resolve the situation introduced
    when locally built binary .deb files were inadvertently included with
    the 4.0.0-5 upload.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 30 Apr 2023 09:16:27 -0700

spamassassin (4.0.0-5) unstable; urgency=medium

  * Update spamd.service to order after network-online.target (Closes: #1034347)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 16 Apr 2023 13:28:05 -0700

spamassassin (4.0.0-4) unstable; urgency=medium

  * Revert "drop unused params from Makefile.PL"
  * Fix test for Socket module and drop libio-socket-inet6-perl
  * Disable AI_ADDRCONFIG when passing IPv4 literals to getaddrinfo
    (Closes: #1027925)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 06 Jan 2023 13:05:09 -0800

spamassassin (4.0.0-3) unstable; urgency=medium

  * drop unused params from Makefile.PL
  * Add debug output for ipv6-only test failures

 -- Noah Meyerhans <noahm@debian.org>  Wed, 04 Jan 2023 08:59:45 -0800

spamassassin (4.0.0-2) unstable; urgency=medium

  * fix typo in spamd.default (Closes: #1027307)
  * move pid file to /run when running under sysvinit
  * Update NEWS to document spamd sandboxing settings (Closes: #1024444)
  * spamassassin: Add libmail-dmarc-perl to Recommends

 -- Noah Meyerhans <noahm@debian.org>  Tue, 03 Jan 2023 17:09:07 -0800

spamassassin (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patches that have been incorporated upstream

 -- Noah Meyerhans <noahm@debian.org>  Sat, 17 Dec 2022 08:41:25 -0800
