## spamassassin 4.0.1

=== debian/changelog ===
spamassassin (4.0.1-1~deb12u1) bookworm; urgency=medium

  * New upstream maintenance release
    - Remove support for defunct SORBS internet service
    - Fix TCP fallback for large DNS query responses
  * Import upstream fix for DnsResolver.pm method deprecation warnings
    (Closes: #1041759)
  * spamassassin-maintenance: reload spamd only if it's running
    (Closes: #1028030)
  * sa-update: Import upstream fix to usage of deprecated function
    (Closes: #1039960)
  * Fix spamd: user_prefs include files are only read on the first scan (Closes: #1056001)
  * Run sa-update-hooks regardless of whether spamd is running (Closes: 1059744)
  * Be more explicit about exit codes in spamassassin-maint.sh
  * Remove a bashism in spamassassin-maint.sh
  * spamassassin-maint.sh: minor shell improvements
  * Refresh patch 10_change_config_paths
  * Remove patches that have been incorporated upstream
  * Fix systemd detection in cron script (Closes: #1067007)
  * Remove rules referencing the defunct SORBS DNSBLs (Closes: #1072663)
  * Incorporate upstream fix for PDFInfo.pm uninitialized value warnings
    (Closes: #1091683)
  * Restore phishstats.info support in Mail::SpamAssassin::Plugin::Phishing
  * ensure Debian CI jobs run in a bookworm environment

 -- Noah Meyerhans <noahm@debian.org>  Fri, 07 Feb 2025 16:13:08 -0500
