=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: spamassassin
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
+Maintainer: Noah Meyerhans <noahm@debian.org>
 Build-Depends: perl, libssl-dev, libhtml-parser-perl,
  libnet-dns-perl, libnetaddr-ip-perl, debhelper-compat (= 13),
  libberkeleydb-perl, netbase, libdbi-perl,
@@ -20,7 +19,8 @@
 Depends: perl, libhtml-parser-perl, libsocket6-perl, adduser,
  libsys-hostname-long-perl, libarchive-tar-perl, libnet-dns-perl,
  libnetaddr-ip-perl, libhttp-date-perl, libmail-dkim-perl,
- libio-string-perl, libwww-perl | curl | w3m, ${misc:Depends}
+ libio-string-perl, lsb-base (>= 3.0-6),
+ libwww-perl | curl | w3m, ${misc:Depends}
 Recommends: spamc, sa-compile (= ${source:Version}), libmail-spf-perl,
  libsys-syslog-perl, gnupg, libbsd-resource-perl, libmail-dmarc-perl
 Suggests: razor, libio-socket-ssl-perl, libdbi-perl, pyzor,
