=== debian/watch ===
version=4

https://www.apache.org/dist/spamassassin/source/Mail-SpamAssassin-([[:digit:]].*)\.tar\.gz \
    debian
