## spamassassin 4.0.1+svn1923525

=== debian/changelog ===
spamassassin (4.0.1+svn1923525-1) experimental; urgency=medium

  * Incorporate additional upstream changes to svn revision 1923525
  * Update rules to svn revision 1923525
  * Refresh or drop patches

 -- Noah Meyerhans <noahm@debian.org>  Mon, 03 Feb 2025 08:42:38 -0500

spamassassin (4.0.1-3) unstable; urgency=medium

  * Incorporate upstream fix for PDFInfo.pm uninitialized value warnings
    (Closes: #1091683)
  * clean up build-deps and set !nocheck where appropriate (Closes: #952698)
  * spamd: drop system-log-daemon to Recommends (Closes: #1072032)
  * prime the sa-update rule path with the packaged rules (Closes: #739489)
  * Remove obsolete spamassassin preinst script
  * cosmetic: whitespace fixes in maintainer scripts

 -- Noah Meyerhans <noahm@debian.org>  Thu, 09 Jan 2025 13:32:43 -0500

spamassassin (4.0.1-2) unstable; urgency=medium

  * Remove rules referencing the defunct SORBS DNSBLs (Closes: #1072663)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 10 Jun 2024 11:00:26 -0700

spamassassin (4.0.1-1) unstable; urgency=medium

  * Fix systemd detection in cron script (Closes: #1067007)
  * New upstream release

 -- Noah Meyerhans <noahm@debian.org>  Mon, 01 Apr 2024 22:43:34 -0700

spamassassin (4.0.1~rc1-1) unstable; urgency=medium

  * New upstream release snapshot

 -- Noah Meyerhans <noahm@debian.org>  Wed, 20 Mar 2024 09:23:21 -0700

spamassassin (4.0.1~pre1-1) unstable; urgency=medium

  * New upstream pre-release snapshot (Closes: #1039459)
  * Remove a bashism in spamassassin-maint.sh
  * spamassassin-maint.sh: minor shell improvements
  * Refresh patch 10_change_config_paths
  * spamassassin-maint.sh: Run sa-update-hooks regardless of whether spamd
    is running (Closes: #1059744)
  * Remove patches that have been incorporated upstream

 -- Noah Meyerhans <noahm@debian.org>  Sat, 20 Jan 2024 18:39:17 -0800

spamassassin (4.0.0-9) unstable; urgency=medium

  * Run sa-update-hooks regardless of whether spamd is running (Closes: 1059744)
  * Be more explicit about exit codes in spamassassin-maint.sh

 -- Noah Meyerhans <noahm@debian.org>  Mon, 01 Jan 2024 09:34:51 -0800
