## spamassassin 4.0.2~rc1

=== debian/changelog ===
spamassassin (4.0.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate
  * Delete or refresh all patches

 -- Noah Meyerhans <noahm@debian.org>  Tue, 22 Jul 2025 15:00:09 -0400

spamassassin (4.0.1-5) unstable; urgency=medium

  * User a dpkg trigger to restart spamd after sa-compile upgrades
    (Closes: #1108166)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 26 Jun 2025 00:32:47 -0400

spamassassin (4.0.1-4) unstable; urgency=medium

  * backport patch for upstream bug #8237
  * Add libnet-libidn2-perl to build-deps for tests
  * import upstream logging fix when --virtual-config-dir is used
    (Closes: #1100826)
  * Ensure stdout from spamassassin-maint is discarded where intended
    (Closes: #634172)
  * Fix typo in Mail::SpamAssassin::Conf (Closes: #1072220)
  * Document the spamc default max message size (Closes: #951545)
  * Update bundled rules to upstream svn revision 1926576 (Closes: #1106669)
  * Update spamassassin README for systemd timer usage (Closes: #1108016)
  * skip spamd client tests during build (Closes: #1093943)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 19 Jun 2025 10:09:07 -0400
