## spamassassin 4.0.2~rc2

=== debian/changelog ===
spamassassin (4.0.2~rc2-1) unstable; urgency=medium

  * New upstream release candidate

 -- Noah Meyerhans <noahm@debian.org>  Mon, 11 Aug 2025 14:34:21 -0400
