=== debian/control ===
--- 
+++ 
@@ -2,11 +2,20 @@
 Section: mail
 Priority: optional
 Maintainer: Noah Meyerhans <noahm@debian.org>
-Build-Depends: perl, libssl-dev, libhtml-parser-perl,
- libnet-dns-perl, libnetaddr-ip-perl, debhelper-compat (= 13),
- libberkeleydb-perl, netbase, libdbi-perl,
- libdbd-mysql-perl, libbsd-resource-perl, libio-string-perl,
- libtext-diff-perl
+Build-Depends: debhelper-compat (= 13),
+	       perl,
+	       libssl-dev,
+	       libhtml-parser-perl,
+	       libnetaddr-ip-perl,
+	       libnet-dns-perl <!nocheck>,
+	       libberkeleydb-perl <!nocheck>,
+	       netbase <!nocheck>,
+	       libdbi-perl <!nocheck>,
+	       libdbd-mysql-perl <!nocheck>,
+	       libbsd-resource-perl <!nocheck>,
+	       libio-string-perl <!nocheck>,
+	       libnet-libidn2-perl <!nocheck>,
+	       libtext-diff-perl <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://www.spamassassin.org/
@@ -19,8 +28,7 @@
 Depends: perl, libhtml-parser-perl, libsocket6-perl, adduser,
  libsys-hostname-long-perl, libarchive-tar-perl, libnet-dns-perl,
  libnetaddr-ip-perl, libhttp-date-perl, libmail-dkim-perl,
- libio-string-perl, lsb-base (>= 3.0-6),
- libwww-perl | curl | w3m, ${misc:Depends}
+ libio-string-perl, libwww-perl | curl | w3m, ${misc:Depends}
 Recommends: spamc, sa-compile (= ${source:Version}), libmail-spf-perl,
  libsys-syslog-perl, gnupg, libbsd-resource-perl, libmail-dmarc-perl
 Suggests: razor, libio-socket-ssl-perl, libdbi-perl, pyzor,
@@ -70,9 +78,9 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: spamassassin (= ${source:Version}),
-	 systemd | rsyslog | system-log-daemon,
 	 init-system-helpers (>= 1.51),
 	 ${shlibs:Depends}, ${misc:Depends}
+Recommends: systemd | rsyslog | system-log-daemon
 Replaces: spamassassin (<< 4.0.0~0.0svn1883440-2)
 Breaks: spamassassin (<< 4.0.0~0.0svn1883440-2)
 Description: Server for SpamAssassin spam filtering daemon
