=== debian/watch ===
version=4

https://downloads.apache.org/spamassassin/source/Mail-SpamAssassin-([[:digit:]].*)\.tar\.gz \
    debian
